﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Stack {
  using System.Collections.Generic;

  public interface IPrintStack : IPushStack {
    bool IsCurrentLineEmpty { get; }
    IReadOnlyList<string> Lines { get; }

    void NewLine();
    void Push<T>(T item);
    void Push(double item);
    void Push(long item);
    void Push(int item);
    void Push(char item);
    void Push(bool item);
  }
}
